/* 
////// For this challenge ///////

- All text is in the text.md file

// Requirements
1. Refer to the design specs for the
   overall layout 
2. The image should line up with
   the sidebar in the section
   below

*/

*, *::before, *::after {
    box-sizing: border-box;
}

html {
  font-size: 16px;
}

body {
    margin: 0;
    font-family: 'Roboto', sans-serif;
    font-size: 1.3rem;
}

img {
    max-width: 100%;
}

h1 {
    font-size: 3rem;
    margin-top: 0;
}

.container {
    width: 80%;
    max-width: 1100px;
    margin: 0 auto;
}

.row {
    /* display: flex => flex container */
    display: flex;
    justify-content: space-between;
    
    /* can't use yet */
    /* gap: 100px; */
}

.col {
  width: 100%;;
}

.col + .col {
  margin-left: 2rem;
}

.hero {
    padding: 100px 0;
    background-color: #23424A;
    color: #FFF;
}

.hero__text,
.villan__design { 
    width: 68%;
}

.hero__img,
.villan__options {
    width: 32%;
    align-self: flex-start;
}

.hero p {
    margin-bottom: 3em;
}

.btn {
    display: inline-block;
    text-decoration: none;
    text-transform: uppercase; 
    color: #23424A;
    font-weight: 900;
    background-color: #38CFD9;
    padding: .75em 2em;
    border-radius: 100px;
}

.btn:hover,
.btn:focus {
    opacity: .75; 
}

.villan {
  margin: 2em 0;
}

.villans__designs {
    padding-top: 4em;
}

.villan__designs h2 {
  color: #136c72;
}

.villan__designs p {
  color: #23424a;
}

.villan__options {
  background-color: #136c72;
  color: #ffffff;
  text-align: center;
}
